OpenShot Audio Library | OpenShotAudio: juce::GenericScopedLock< LockType > Class Template Reference

OpenShot Audio Library | OpenShotAudio 1.0.0

Loading...
Searching...
No Matches
juce::GenericScopedLock< LockType > Class Template Reference

`#include <juce_ScopedLock.h>`

## Public Member Functions
| GenericScopedLock (const LockType &lock) noexcept
| ~GenericScopedLock () noexcept

## Detailed Description

template<class LockType>
class juce::GenericScopedLock< LockType >

Automatically locks and unlocks a mutex object.

Use one of these as a local variable to provide RAII-based locking of a mutex.

The templated class could be a CriticalSection, SpinLock, or anything else that provides enter() and exit() methods.

e.g.

CriticalSection myCriticalSection;
for (;;)
{
const GenericScopedLock<CriticalSection> myScopedLock (myCriticalSection);
// myCriticalSection is now locked
...do some stuff...
// myCriticalSection gets unlocked here.
}
juce::CriticalSection
Definition juce_CriticalSection.h:43
juce::GenericScopedLock::GenericScopedLock
GenericScopedLock(const LockType &lock) noexcept
Definition juce_ScopedLock.h:67

See also
  GenericScopedUnlock, CriticalSection, SpinLock, ScopedLock, ScopedUnlock

Definition at line 54 of file juce_ScopedLock.h.

## Constructor & Destructor Documentation

## ◆ GenericScopedLock()

template<class LockType>

juce::GenericScopedLock< LockType >::GenericScopedLock | ( | const LockType & | lock | ) |
| inlineexplicitnoexcept

Creates a GenericScopedLock.

As soon as it is created, this will acquire the lock, and when the GenericScopedLock object is deleted, the lock will be released.

Make sure this object is created and deleted by the same thread, otherwise there are no guarantees what will happen! Best just to use it as a local stack object, rather than creating one with the new() operator.

Definition at line 67 of file juce_ScopedLock.h.

## ◆ ~GenericScopedLock()

template<class LockType>

juce::GenericScopedLock< LockType >::~GenericScopedLock | ( |  | ) |
| inlinenoexcept

Destructor. The lock will be released when the destructor is called. Make sure this object is created and deleted by the same thread, otherwise there are no guarantees what will happen!

Definition at line 74 of file juce_ScopedLock.h.

The documentation for this class was generated from the following file:

- juce_ScopedLock.h